"""Add relation from participation to eccourses

Revision ID: fec97181fca2
Revises: 834efd6094ae
Create Date: 2016-09-21 11:12:29.487024

"""

# revision identifiers, used by Alembic.
revision = 'fec97181fca2'
down_revision = '834efd6094ae'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participations', sa.Column('course_id', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'participations', 'eccourses', ['course_id'], ['id'])
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'participations', type_='foreignkey')
    op.drop_column('participations', 'course_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
